=== modified file 'debian/changelog'
--- debian/changelog	2008-02-26 15:20:55 +0000
+++ debian/changelog	2009-10-02 08:00:49 +0000
@@ -1,3 +1,13 @@
+stringtemplate (3.1-4) unstable; urgency=low
+
+  * (Build-)Depends on libantlr-java instead of antlr (Closes: #547179).
+  * Build-Depends on defualt-jdk and debhelper >= 7.
+  * Added missing Depends: ${misc:Depends}.
+  * Moved package to section 'java'.
+  * Updated Standards-Version to 3.8.3.
+
+ -- Michael Koch <konqueror@gmx.de>  Fri, 02 Oct 2009 08:00:49 +0200
+
 stringtemplate (3.1-3) unstable; urgency=low
 
   * Added junit to Build-Depends-Indep. Closes #467605.

=== modified file 'debian/compat'
--- debian/compat	2007-04-22 14:46:17 +0000
+++ debian/compat	2009-10-02 08:00:49 +0000
@@ -1,1 +1,1 @@
-5
+7

=== modified file 'debian/control'
--- debian/control	2008-02-26 15:20:55 +0000
+++ debian/control	2009-10-02 08:00:49 +0000
@@ -1,18 +1,18 @@
 Source: stringtemplate
-Section: devel
+Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Weimer <fw@deneb.enyo.de>, Michael Koch <konqueror@gmx.de>
-Build-Depends: cdbs (>= 0.4.8), debhelper (>> 5)
-Build-Depends-Indep: antlr, ant-optional, java-gcj-compat-dev, junit
-Standards-Version: 3.7.3
+Build-Depends: cdbs (>= 0.4.8), debhelper (>= 7), default-jdk, ant-optional
+Build-Depends-Indep: libantlr-java, junit
+Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/stringtemplate
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/stringtemplate
 Homepage: http://www.stringtemplate.org/
 
 Package: libstringtemplate-java
 Architecture: all
-Depends: antlr
+Depends: libantlr-java, ${misc:Depends}
 Description: StringTemplate templating engine for Java
  StringTemplate is a java template engine for generating source code,
  web pages, emails, or any other formatted text output. StringTemplate

=== modified file 'debian/rules'
--- debian/rules	2008-02-26 15:20:55 +0000
+++ debian/rules	2009-10-02 08:00:49 +0000
@@ -4,7 +4,7 @@
 include /usr/share/cdbs/1/class/ant.mk
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
-JAVA_HOME := /usr/lib/jvm/java-gcj
+JAVA_HOME := /usr/lib/jvm/default-java
 
 DEB_JARS := antlr ant-antlr junit
 DEB_ANT_BUILD_TARGET := jar

